KMS_KMS-HSM-CLUSTER_HSM-CLUSTER_UPLOAD-PARTITION-CERTIFICATES(1)

NAME
kms_kms-hsm-cluster_hsm-cluster_upload-partition-certificates -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Uploads the partition owner certificates to the HSM Cluster resource.

USAGE

oci kms kms-hsm-cluster hsm-cluster upload-partition-certificates [OPTIONS]

REQUIRED PARAMETERS

--hsm-cluster-id [text]

    The OCID of the HSM Cluster.

--partition-certificate [text]

    Base64 encoded (StandardCharsets.UTF_8) Partition Certificate.

--partition-owner-certificate [text]

    Base64 encoded (StandardCharsets.UTF_8) Partition Owner Certificate.

OPTIONAL PARAMETERS

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/kms/kms-hsm-cluster/hsm-cluster/create.html#cmdoption-compartment-id
    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/kms/kms-hsm-cluster/hsm-cluster/create.html#cmdoption-display-name
    export partition_certificate=<substitute-value-of-partition_certificate> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/kms/kms-hsm-cluster/hsm-cluster/upload-partition-certificates.html#cmdoption-partition-certificate
    export partition_owner_certificate=<substitute-value-of-partition_owner_certificate> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/kms/kms-hsm-cluster/hsm-cluster/upload-partition-certificates.html#cmdoption-partition-owner-certificate
    hsm_cluster_id=$(oci kms kms-hsm-cluster hsm-cluster create --compartment-id $compartment_id --display-name $display_name --query data.id --raw-output)
    oci kms kms-hsm-cluster hsm-cluster upload-partition-certificates --hsm-cluster-id $hsm_cluster_id --partition-certificate $partition_certificate --partition-owner-certificate $partition_owner_certificate

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle